if(!dojo._hasResource["com.ibm.mm.builder.utils.iWidgetSpecUtil"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.utils.iWidgetSpecUtil"] = true;
/**
 * This class servers as a utility class for support IBM iWidget Spec v1 microformat.
 * @author Jove (zhongqj@cn.ibm.com)
 */
dojo.provide("com.ibm.mm.builder.utils.iWidgetSpecUtil");
dojo.require("com.ibm.mm.builder.constant");

com.ibm.mm.builder.utils.iWidgetSpecUtil.newItemSetKeyValue = function(spanNode, itemNameString, itemValueString){
    var item = document.createElement("a");
    dojo.addClass(item, com.ibm.mm.builder.constant.mmItem);
    item.setAttribute("href", "#" + itemNameString);
    item.innerHTML = com.ibm.mm.builder.utils.htmlUtil.escapeString(itemValueString);
    spanNode.appendChild(item);
};

com.ibm.mm.builder.utils.iWidgetSpecUtil.newItemSetSpan = function(){
    var param = document.createElement("span");
    
    dojo.addClass(param, com.ibm.mm.builder.constant.mmItemSet);
    param.setAttribute("title", "attributes");
    
    return param;
};

com.ibm.mm.builder.utils.iWidgetSpecUtil.setWidgetDefXML = function(spanNode, widgetXmlString){
    var aTag = document.createElement("a");
    
    var cls = spanNode.getAttribute("class");
	if (cls == com.ibm.mm.builder.constant.mmIWidget) {
		dojo.addClass(aTag, com.ibm.mm.builder.constant.mmDefinition);	
	} else {
		dojo.addClass(aTag, com.ibm.mm.builder.constant.iwDefinition);	
	}
	
	aTag.setAttribute("href", widgetXmlString);
    spanNode.appendChild(aTag);
};

/**
 * for iwidget microformat new syntax only
 * @param {String} iwidgetId
 * @return widget definition XML
 */
com.ibm.mm.builder.utils.iWidgetSpecUtil.getWidgetDefXML = function(iwidgetId){
    var widgetSpan = dojo.byId(iwidgetId);
	var def = dojo.query(com.ibm.mm.builder.constant.mmDefinition, widgetSpan)[0];
	if (def === null) {
		def = dojo.query(com.ibm.mm.builder.constant.iwDefinition, widgetSpan)[0];
	}
    return def.getAttribute("href");
};

com.ibm.mm.builder.utils.iWidgetSpecUtil.getKeyFromHref = function(node){
    var hrefValue = node.getAttribute("href");
    if (hrefValue === null) {
		return "";
	}
    var pos = hrefValue.indexOf("#");
    if (pos < 0) {
		return "";
	}
    return hrefValue.substring(pos + 1);
};

}
