/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.Representation");

//<INTERFACE>
dojo.require("com.ibm.mashups.enabler.Identifiable");

/**
 * An interface that allows retrieving a URL and mime type representing the resource.
 * @ibm-api
 * @ibm-module Base
 */
dojo.declare("com.ibm.mashups.enabler.Representation", com.ibm.mashups.enabler.Identifiable, {
    /**
     * Returns the mimetype of the representation.
     * @return {String} the identifier; never <code>null</code>
     */
    getID: function(){
    },
    
    /**
     * Returns a full or absolute URL pointing to the resource in another representation.
     * @return {String} the URL pointing to the other representation; never <code>null</code>
     */
    getURL: function(){
    },
    
    /**
     * Returns the mimetype of the content to which the URL is pointing to.
     * @return {String} the mimetype; never <code>null</code>
     */
    getMimeType: function(){
    }
});
//</INTERFACE>

dojo.require( "com.ibm.mm.enabler.RepresentationImpl");
