/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.context.Factory");

//<INTERFACE>
dojo.require("com.ibm.mashups.enabler.context.LocalizedContext");
dojo.require("com.ibm.mashups.enabler.context.PageContext");

/**
 * Factory to get context objects.
 *
 * @ibm-module Base2
 */
dojo.declare("com.ibm.mashups.enabler.context.Factory", null, {
    /**
     * Returns a LocalizedContext.
     *
     * @ibm-api
     *
     * @return {com.ibm.mashups.enabler.context.LocalizedContext} localized context.
     */
    getLocalizedContext: function(){
    },
    
    /**
    * Returns a LocalizedContext for the specified locales.
    *
    * @ibm-spi
    *
    * @param {String} preferredLocale preferred locale to use; optional, defaults to the preferred 
    * locale set with the browser.
    * @param {String} defaultLocale default locale to use; optional, defaults to the locale "en"
    * @return {com.ibm.mashups.enabler.context.LocalizedContext} localized context for the specified locales.
    */
   getLocalizedContext: function(preferredLocale, defaultLocale){	// JSLINT-IGNORE: separation between public API and SPI
   },

    /**
     * Returns a PageContext.
     *
     * @ibm-spi
     * @since 2.4
     *
     * @return {com.ibm.mashups.enabler.context.PageContext} the page context
     */
    getPageContext: function(){
    }
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.context.FactoryImpl");
