/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.logging.LogHandler"); 

dojo.require("com.ibm.mashups.enabler.logging.LogLevel" ); 

/**
* A <code>LogHandler</code> object takes log messages from a Logger and exports them. It might for example, 
* write them to a console or write them to a widget or whatever. 
* @ibm-spi 
* @ibm-module Base2
*/
dojo.declare("com.ibm.mashups.enabler.logging.LogHandler",null,
{
	/**
	* @private
	*/
	constructor: function() {
	},
	/**
	* Returns the ID of this handler. This ID needs to be unique and must not be <code>null</code>.
	* @type {String}
	* @return the ID of this handler.
	*/
	getHandlerID: function() {
		return null; 
	},
	/**
	* Get the log level specifying which messages will be logged by this <code>LogHandler</code>. Message levels lower than this level will be discarded. 
	* @type {int}
	* @return the level of messages being logged. The returned int needs to be a log level as defined in com.ibm.mashups.enabler.logging.LogLevel.
	*/
	getLogLevel: function() {
		return null;
	}, 
	/**
	* Method that get's invoked as soon as a subscribed and valid event is published in the logging framework.
	* @param {String} loggerName the name of the logger that published the event.
	* @param {int} logLevel  the LogLevel of the published event.
	* @param {String} method the method that caused the event.
	* @param {String} message the message sent by the method
	* @type {void}
	*/
	log: function(loggerName, logLevel, method, message) {
	} 
});
