/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.model.CatalogEntryModel");

dojo.require("com.ibm.mashups.enabler.ListModelController");
dojo.require("com.ibm.mashups.enabler.catalog.CatalogEntryNode");
//<INTERFACE>
/**
 * Interface for a catalog model containing entry nodes. This list model
 * describes a list of concrete catalog entries for a given category.
 * @ibm-api
 * @ibm-module CatalogModel
 */
dojo.declare("com.ibm.mashups.enabler.model.CatalogEntryModel", com.ibm.mashups.enabler.ListModelController, {
    /**
     * creates a new CatalogEnryNode. The created node can be inserted into the
     * model using an appropriate <code>insert</code> method. The node will not
     * appear in the model unless it is inserted.
     * @param {JSON} context array of predefined information
     * used for the creation of the node. May be <code>null</code>. Accepted
     * names are:<br>
     * &nbsp;&nbsp;&nbsp;&nbsp;<code>cid</code> - the client id for the entry
     * to be created (optional)<br>
     * @return {com.ibm.mashups.enabler.catalog.CatalogEntryNode} the created node
     */
    create: function(context){
    }
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.catalog.CatalogEntryModelImpl");
