/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.runtime.skin.StyleFilterChain");

//<INTERFACE>
dojo.require("com.ibm.mashups.enabler.runtime.skin.FilterControl");

/**
 * Filters use the FilterChain to invoke the next filter in the chain
 *
 * @ibm-api
 * @ibm-module CoreModel
 * @since 2.4
 */
dojo.declare( "com.ibm.mashups.enabler.runtime.skin.StyleFilterChain", null, {
	/**
	 * Calls the next filter in the chain's <code>onChangingStyle()</code> or <code>onChangeStyle()</code> methods
	 * @param {com.ibm.mashups.enabler.layout.LayoutNode} layoutNode LayoutNode for this runtime skin. Will not be <code>null</code>.
     * @param {JSON} oldStyle the old style attributes of the skin and will never be <code>null</code>.  For example:<br>
     * <code>&#123; <br>
     * &nbsp;&nbsp;position: "absolute",<br>
     * &nbsp;&nbsp;left: "18px", <br>
     * &nbsp;&nbsp;width: "400px", <br>
     * &nbsp;&nbsp;height: "325px", <br>
     * &nbsp;&nbsp;z-index "51", <br>
     * &#125; </code><br>
     * @param {JSON} newStyle updated style attributes for the skin. Will not be <code>null</code>.  For example:<br>
     * <code>&#123; <br>
     * &nbsp;&nbsp;position: "absolute",<br>
     * &nbsp;&nbsp;left: "18px", <br>
     * &nbsp;&nbsp;width: "400px", <br>
     * &nbsp;&nbsp;height: "325px", <br>
     * &nbsp;&nbsp;z-index "51", <br>
     * &#125; </code><br>
     * @param {FilterControl} control object used for a filter to disagree.  This is only applicable
     *                                on a filter's <code>onChangingStyle()</code> method.
     * @type void
	 */
	doFilter: function(layoutNode, oldStyle, newStyle, control) {
	}
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.runtime.skin.StyleFilterChainImpl");
