/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.widget.Event");

dojo.require("com.ibm.mashups.enabler.Identifiable");
dojo.require("com.ibm.mashups.enabler.Localized");

/**
 * An interface representing an widget event. It can be obtained through an&nbsp; {@link com.ibm.mashups.enabler.widget.EventProvider EventProvider}.
 * @since 2.4
 *
 * @ibm-api
 * @ibm-module WidgetModel
 */
dojo.declare("com.ibm.mashups.enabler.widget.Event", [com.ibm.mashups.enabler.Identifiable,
                                                      com.ibm.mashups.enabler.Localized], {
    /**
     * Get's the name of this event.
     * @return {String} the name of this event.
     */
    getName: function() {
    },
    /**
     * Returns whether this event is published or not.
     * @return {boolean} whether this event is published or not.
     */
    isPublished: function() {
    },
    /**
     * Returns whether this event is handled or not.
     * @return {boolean} whether this event is handled or not.
     */
    isHandled: function() {
    },
    /**
     * Get's the payload type of this event.
     * @return {String} the payload type of this event.
     */
    getPayloadType: function() {
    }
});

