/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.livetext.CallbackModel");

/**
  * This API defines the various callback functions for livetext services. These callback functions should be provided by
  * event publisher.
  * 
  * @ibm-api
  * @ibm-module iWidget
  */ 
dojo.declare("com.ibm.mashups.livetext.CallbackModel", null,
{
	/**
	* The callback function which should be provided to livetext service by the event publisher. This
	* callback function provides a means by the event publisher and for the event publisher to run some code before 
	* the HTML fragment is processed. <p /> 
 	* @param {DOMNode} domNode The DOM node whose decendent nodes to be parsed and processed. May be <code>null</code>.
 	* @param {Object[]} livetextList The list of the live text which will be processed. May be <code>null</code>.
 	* @param {Object} tagEntry The JSON object of the current tag entry used to match and process the returned nodes. Is never <code>null</code>. 
 	* @type void
 	*/			
	preProcessCallbackFunc: function(/* DOMNode */ domNode, /* Object[] */livetextList, /* Object */ tagEntry) {						   
	},
	/**
	* The callback function which should be provided to livetext service by the event publisher. This
	* callback function provides a means by the event publisher and for the event publisher to run some code 
	* after HTML fragment has been processed. <p /> 
 	* @param {DOMNode} domNode The DOM node whose decendent nodes to be parsed and processed. May be <code>null</code>.
	* @param {Object[]} livetextList The list of the live text which will be processed. May be <code>null</code>.
 	* @param {Object[]} errors The list of the exceptions occurred during the parsing and node handling process. If 
 	* there is no error, an empty array should be provided. May be <code>null</code>.
 	* @param {Object} tagEntry The JSON object of the current tag entry used to match and process the returned nodes. Is never <code>null</code>.
 	* @type void
 	*/			
	postProcessCallbackFunc: function(/* DOMNode */ domNode, /* Object[] */livetextList, /* Object[] */ errors, /* Object */ tagEntry) {						   
	}		
});
