/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mm.widget.dataViewer._WB_VER_.v210.widget.EmptyTable");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");

dojo.declare("com.ibm.mm.widget.dataViewer._WB_VER_.v210.widget.EmptyTable", [dijit._Widget,dijit._Templated], {
	
	templateString: "<div><table dojoAttachPoint='tableNode' class='mumDataViewer-_WB_VER_-v210 default'><thead><tr></tr></thead><tbody></tbody></table></div>",
	
	columnSettings: null,
	
	postCreate: function() {
		this.bundle = com.ibm.mm.widget.dataViewer._WB_VER_.v210.dataViewerMessages;
		this.columnSettings = this.columnSettings || {
			columnFilter: [true, true, true, true, true],
			columnLabel: [this.bundle.L_COLUMN + "1", this.bundle.L_COLUMN + "2", this.bundle.L_COLUMN + "3", this.bundle.L_COLUMN + "4", this.bundle.L_COLUMN + "5"],
			columnsOrder: [0, 1, 2, 3, 4]
		};
		
		this.columns = [];
		var orderedLabels = dojo.map(this.columnSettings.columnLabel, function(label, index){
			return this.columnSettings.columnLabel[this.columnSettings.columnsOrder[index]];
		}, this);
		
		dojo.forEach(orderedLabels, function(label, index) {
			if (this.columnSettings.columnFilter[index]) {
				this.columns.push(label);
			}
		}, this);
		
		this.generateHeader();
		this.generateBody();
	},
	
	generateHeader: function() {
		var tHeadRow = dojo.query("thead tr", this.tableNode)[0];
		dojo.forEach(this.columns, function(col) {
			dojo.create("th", {
				innerHTML: "<span>" + col + "</span>"
			}, tHeadRow);
		}, this);
	},
	
	generateBody: function() {
		var tBody = dojo.query("tbody", this.tableNode)[0];
		var row1 = dojo.create("tr", {}, tBody);
		dojo.forEach(this.columns, function(col, index) {
			var label = "";
			if (index === 0) label = this.bundle.L_ROW + 1;
			dojo.create("td", {
				innerHTML: "<span>" + label + "</span>"
			}, row1);
		}, this);
		
		var row2 = dojo.create("tr", {
			"class": "even"
		}, tBody);
		dojo.forEach(this.columns, function(col, index) {
			var label = "";
			if (index === 0) label = this.bundle.L_ROW + 2;
			dojo.create("td", {
				innerHTML: "<span>" + label + "</span>"
			}, row2)
		}, this);
	}
});
